﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using PgSqlCodeFirst.DbContexts;

namespace PgSqlCodeFirst.Migrations
{
    [DbContext(typeof(TestContext))]
    [Migration("20211010113344_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 63)
                .HasAnnotation("ProductVersion", "5.0.10")
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

            modelBuilder.Entity("PgSqlCodeFirst.Models.Test", b =>
                {
                    b.Property<string>("Prop1")
                        .HasColumnType("text");

                    b.Property<string>("Prop2")
                        .HasColumnType("text");

                    b.HasKey("Prop1");

                    b.ToTable("Tests");
                });
#pragma warning restore 612, 618
        }
    }
}
